play.data.validation

## Class IsTrueCheck

- java.lang.Object
- - net.sf.oval.AbstractCheck
  - - net.sf.oval.configuration.annotation.AbstractAnnotationCheck<IsTrue>
    - - play.data.validation.IsTrueCheck

All Implemented Interfaces:
  java.io.Serializable, net.sf.oval.Check, net.sf.oval.configuration.annotation.AnnotationCheck<IsTrue>

    public class IsTrueCheck
    extends net.sf.oval.configuration.annotation.AbstractAnnotationCheck<IsTrue>

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IsTrueCheck()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `configure(IsTrue isTrue)`
`boolean` `isSatisfied(java.lang.Object validatedObject, java.lang.Object value, net.sf.oval.context.OValContext context, net.sf.oval.Validator validator)`

### Methods inherited from class net.sf.oval.AbstractCheck

`createMessageVariables, getAppliesTo, getAppliesToDefault, getContext, getErrorCode, getMessage, getMessageVariables, getProfiles, getSeverity, getTarget, getWhen, isActive, requireMessageVariablesRecreation, setAppliesTo, setContext, setErrorCode, setMessage, setProfiles, setSeverity, setTarget, setWhen`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.sf.oval.Check

`getAppliesTo, getContext, getErrorCode, getMessage, getMessageVariables, getProfiles, getSeverity, getTarget, getWhen, isActive, setAppliesTo, setContext, setErrorCode, setMessage, setProfiles, setSeverity, setTarget, setWhen`

### Constructor Detail

#### IsTrueCheck

    public IsTrueCheck()

### Method Detail

#### configure

    public void configure(IsTrue isTrue)

Specified by:
  `configure` in interface `net.sf.oval.configuration.annotation.AnnotationCheck<IsTrue>`
Overrides:
  `configure` in class `net.sf.oval.configuration.annotation.AbstractAnnotationCheck<IsTrue>`

#### isSatisfied

    public boolean isSatisfied(java.lang.Object validatedObject,
                               java.lang.Object value,
                               net.sf.oval.context.OValContext context,
                               net.sf.oval.Validator validator)